
function Change_font_size(delta)
    local iter = 0

    local font_name = "JetBrains Mono" -- Backup name
    local font_size = 12               -- Backup Size
    for part in vim.api.nvim_get_option_value("guifont", {}):gmatch("([^:h]+)") do
        if iter == 0 then
            font_name = part
        else
            font_size = part
        end
        iter = iter + 1
    end

    font_size = font_size + delta
    -- print("Fontsize: " .. font_size)
    vim.print('Changing font size to: ' .. font_size)

    vim.api.nvim_set_option_value("guifont", font_name .. ':h' .. font_size, { scope = "global"})
end

if vim.g.nvui then
    vim.cmd('NvuiAnimationsEnabled 1')
    vim.cmd('NvuiSnapshotLimit 8')
    vim.cmd('NvuiScrollAnimationDuration 0.2')
    vim.cmd('NvuiScrollFrametime 16')
    vim.cmd('NvuiMoveAnimationDuration 0.3')
    vim.cmd('NvuiCursorAnimationDuration 0.1')
    vim.cmd('NvuiCursorFrametime 16')
    vim.cmd('NvuiFrameless 0')
end

if vim.g.neovide then
    -- vim.o.guifont = "Maple Mono:h13"
    vim.o.guifont = "MonaspiceNe Nerd Font"
    vim.g.neovide_floating_shadow = true
    vim.g.neovide_floating_z_height = 10
    vim.g.neovide_light_angle_degrees = 45
    vim.g.neovide_light_radius = 5

    vim.g.neovide_normal_opacity = 0.7
    vim.g.neovide_window_blurred = true
    vim.g.neovide_floating_border_radius = 0.5

    vim.g.neovide_cursor_antialiasing = true

    vim.g.neovide_title_background_color = string.format(
        "%x",
        vim.api.nvim_get_hl(0, {id=vim.api.nvim_get_hl_id_by_name("Normal")}).bg
    )

    vim.g.neovide_title_text_color = string.format(
        "%x",
        vim.api.nvim_get_hl(0, {id=vim.api.nvim_get_hl_id_by_name("Normal")}).fg
    )

    vim.o.titlestring = 'nvim'

    vim.g.neovide_scale_factor = 1.0
    local change_scale_factor = function(delta)
        vim.g.neovide_scale_factor = vim.g.neovide_scale_factor * delta
        vim.print('Changing scale to: ' .. vim.g.neovide_scale_factor)
    end
    vim.api.nvim_set_keymap("n", "<C-+>", "", { noremap = true, desc = "Increase font size", callback = function () change_scale_factor(1.1) end })
    vim.api.nvim_set_keymap("n", "<C-->", "", { noremap = true, desc = "Decrease font size", callback = function () change_scale_factor(1 / 1.1) end })
end

if vim.g.nvui then
    vim.o.guifont = "Maple Mono:h13"
    vim.api.nvim_set_keymap("n", "<C-+>", "", { noremap = true, desc = "Increase font size", callback = function () Change_font_size(1) end })
    vim.api.nvim_set_keymap("n", "<C-->", "", { noremap = true, desc = "Decrease font size", callback = function () Change_font_size(-1) end })
end

