local langtoolpath = vim.fn.stdpath("data") .. "/erikcustom/language-tools"
if not vim.uv.fs_stat(langtoolpath) then
  local langtoolrepo = "https://github.com/vuejs/language-tools"
  local out = vim.fn.system({ "git", "clone", "--filter=blob:none", "--branch=master", langtoolrepo, langtoolpath })

  if vim.v.shell_error ~= 0 then
    vim.api.nvim_echo({
      { "Failed to clone language-tools:\n", "ErrorMsg" },
      { out, "WarningMsg" },
      { "\nPress any key to exit..." },
    }, true, {})
    vim.fn.getchar()
    os.exit(1)
  end

end


